extend("fiskheroes:hero_basic"),
loadTextures({
    "layer1": "knights:devastator_layer1",
    "layer2": "knights:devastator_layer2"
});
var utils = implement("fiskheroes:external/utils");
function initAnimations(renderer) {
    parent.initAnimations(renderer);
    utils.addFlightAnimationWithLanding(renderer, "iron_man.FLIGHT", "fiskheroes:flight/iron_man.anim.json");
    utils.addHoverAnimation(renderer, "iron_man.HOVER", "fiskheroes:flight/idle/iron_man");
    addAnimationWithData(renderer, "iron_man.LAND", "fiskheroes:superhero_landing", "fiskheroes:dyn/superhero_landing_timer")
        .priority = -8;

    addAnimationWithData(renderer, "iron_man.ROLL", "fiskheroes:flight/barrel_roll", "fiskheroes:barrel_roll_timer")
        .priority = 10;
}
var utils = implement("fiskheroes:external/utils");

function initEffects(renderer) {
 var color = 0x880808;
var beam = renderer.createResource("BEAM_RENDERER", "fiskheroes:mysterio_beam");
utils.bindBeam(renderer, "fiskheroes:energy_projection", beam, "head", 0x880808, [
    { "firstPerson": [2.2, -1, 2.0], "offset": [-3, -3.7, -4.0], "size": [2, 0.5] },
    { "firstPerson": [-2, -1, 2.0], "offset": [-2, -3, -4.0], "size": [2, 0.5], "anchor": "leftArm"}
]).setParticles(renderer.createResource("PARTICLE_EMITTER", "fiskheroes:impact_energy_projection"));
}